#!/bin/bash

dire=/mwork1/keszthelyizt/popz
cd $dire

# initial parameters
metals=("Z3" "Z4" "Z5" "Z6")
mixing=("Mix1" "Mix2")
field=(0 1000 10000 50000)
mass=(20 60)

for j in ${metals[@]}  # Metallicity

do 
    echo "Creating Metallicity directory...$j"  
    mkdir $j

for k in ${mixing[@]}  # Mixing

do 
    cd $dire/$j
    echo "Creating Mixing directory...$k"  
    mkdir $k

for l in ${field[@]}  # B field

do 
    cd $dire/$j/$k
    echo "Creating field strength directory...$l"  
    mkdir $l 
    cd $l

    if [[ $l == 0 ]]; then
        source $dire/scripts/noshell.sh
    elif [[ $l -gt 0 ]]; then
        source $dire/scripts/magshell.sh
    fi   

    cd ..
done 
    cd ..
done
    cd ..
done
